//==========================================
// Scilab ( http://www.scilab.org/ ) - This file is part of Scilab
// Copyright (C) DIGITEO - 2009 - Allan CORNET
// 
// This file must be used under the terms of the CeCILL.
// This source file is licensed as described in the file COPYING, which
// you should have received as part of this distribution.  The terms
// are also available at    
// http://www.cecill.info/licences/Licence_CeCILL_V2-en.txt
//==========================================
function bOK = configure_MinGW()

  if detectMinGW() then
    current_PATH = getenv('PATH','');
    new_PATH = current_PATH + ';' + getMinGWInstallPath() + filesep() + 'bin';
    err = setenv('PATH',new_PATH);
    if (err == %F) then bOK = %F,return,end

    GCCLIB_DIR = SCIHOME+'\MinGWlib';

    if ( (fileinfo(GCCLIB_DIR) == []) | ( findfiles(GCCLIB_DIR,'*.a') == []) ) then
        if ( ilib_verbose() <> 0 ) then 
          mprintf('\n');
          mprintf(gettext('%s: Converts libraries to use MinGW (GCC).\n'),'configure_MinGW')
        end
        bOK =  VCtoGCCLib();
      else
        bOK = %T;
      end
  else
    bOK = %f;
  end

endfunction
