// Scilab ( http://www.scilab.org/ ) - This file is part of Scilab
// Copyright (C) DIGITEO - 2009 - Allan CORNET
// 
// This file must be used under the terms of the CeCILL.
// This source file is licensed as described in the file COPYING, which
// you should have received as part of this distribution.  The terms
// are also available at    
// http://www.cecill.info/licences/Licence_CeCILL_V2-en.txt
function libn = ilib_compile(lib_name,makename,files, ..
				                         ldflags, ..
				                         cflags, ..
				                         fflags, ..
				                         cc)


  libn=""; //** init variable 

  if ~haveacompiler() then
  	error(_("A Fortran or C compiler is required."))
  	return;
  end

  [lhs,rhs]=argn(0);
  
  if rhs < 3 then files = []; end 
  
  if typeof(lib_name)<>'string' then
    error(msprintf(gettext("%s: Wrong type for input argument #%d: A string expected.\n"),"ilib_compile",1));
    return ;
  end
  
  oldpath = getcwd();
  files = files(:)';
  
  managed_ext = ['.obj','.o'];
  for i=1:size(files,'*') // compatibility scilab 4.x
    [path_f, file_f, ext_f] = fileparts(files(i));
    if or(managed_ext == ext_f) then
      files1(i) = path_f + file_f;
    else
      files1(i) = path_f + file_f + ext_f;
    end
  end
  
  [make_command,lib_name_make,lib_name,path,makename,files]= ...
      ilib_compile_get_names(lib_name,makename,files);

  if path<> '';  chdir(path);  end 
  
   
    
    if ( (ilib_verbose() > 1) ) then
      disp(msgs_make);
	  end
    
    // then the shared library 
    if ( ilib_verbose() <> 0 ) then
      mprintf(_("   Building shared library (be patient)\n"));
    end
    
    if strncpy(lib_name,3) <> 'lib' then
      lib_name = 'lib' + lib_name;
    end
    
    // TO DO : Check if it is always needed ...
    if ilib_verbose() > 1 then
      msg = unix_g(make_command + makename); 
      disp(msg);
    else
      unix_s(make_command + makename); 
    end
	
  libn = path + lib_name_make ; 
  chdir(oldpath);
  
endfunction
//==========================================

//==========================================
// function only defined in ilib_compile
//==========================================
function [make_command,lib_name_make,lib_name,path,makename,files] = ilib_compile_get_names(lib_name,makename,files) 
  
  managed_ext = ['.obj','.o'];
  for i=1:size(files,'*') // compatibility scilab 4.x
    [path_f, file_f, ext_f] = fileparts(files(i));
    if or(managed_ext == ext_f) then
      files(i) = path_f + file_f;
    else
      files(i) = path_f + file_f + ext_f;
    end
  end
    
  k = strindex(makename,['/','\']);
  
  if k~=[] then
    path = part(makename,1:k($));
    makename = part(makename,k($)+1:length(makename));
  else
     path='';
  end
  
  lib_name = lib_name+getdynlibext();
  lib_name_make = lib_name;
  
    FILES = [];
    for x = files(:)' 
      [ptmp,ftmp,fext] = fileparts(x);
      FILES = [FILES,ptmp+ftmp];
    end
    

    make_command = 'mingw32-make.exe -f ';
    
    if FILES<>[] then 
      files = FILES + '.obj' ;
    end
  
endfunction 

//==========================================
